Skip to content

Get a notification with its per-channel deliveries

GET
/api/notifications/{id}
curl --request GET \
--url https://api.getvespy.com/api/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Default Response

Media typeapplication/json
object
deliveries
required
Array<object>
object
channel
required
string
Allowed values: in_app email sms push
createdAt
required
string format: date-time
deliveredAt
required
string format: date-time
nullable
deliveryMode
required
string
nullable
Allowed values: immediate daily_digest
id
required
string format: uuid
sentAt
required
string format: date-time
nullable
notification
required
object
actorUser
required
object
fullName
required
string
>= 1 characters <= 160 characters
id
required
string format: uuid
actorUserId
required
string format: uuid
nullable
body
required
string
nullable
channel
required
string
Allowed values: in_app email sms push
channels
Array<string>
Allowed values: in_app email sms push
createdAt
required
string format: date-time
entityId
required
string format: uuid
nullable
entityType
required
string
nullable
id
required
string format: uuid
priority
required
string
Allowed values: low normal high urgent
readAt
required
string format: date-time
nullable
title
required
string
>= 1 characters
type
required
string
>= 1 characters
Example
{
"deliveries": [
{
"channel": "in_app",
"deliveryMode": "immediate"
}
],
"notification": {
"channel": "in_app",
"channels": [
"in_app"
],
"priority": "low"
}
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}